#
# spec file for package python-semver
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-semver
Version:        2.8.1
Release:        3.1
Summary:        Python helper for Semantic Versioning
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/k-bx/python-semver
Source:         https://files.pythonhosted.org/packages/source/s/semver/semver-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A Python module for semantic versioning. Simplifies comparing versions.
See also http://semver.org/

%prep
%setup -q -n semver-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc README.rst
%{python_sitelib}/semver*
%pycache_only %{python_sitelib}/__pycache__/semver*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu Jul 12 2018 arun@gmx.de
- specfile:
  * be more specific for python_sitelib in %%files section
- update to version 2.8.1:
  * Issue #77 (PR #47). Convert multiple tests into
    pytest.mark.parametrize
  * Issue #89 (PR #90). Add doctests.
  * Issue #40 (PR #88). Add a static parse method to VersionInfo
  * Issue #87 #94 (PR #93). Remove named tuple inheritance. Fix bad
    rendering in Pandas DataFrame
  * Issue #96 (PR #97). Make VersionInfo immutable
  * Issue #98 (PR #99). prerelease and build set to None by default
* Mon May 21 2018 sebix+novell.com@sebix.at
- update to version 2.8.0 (excerpt):
  * Issue #79 (PR #81 #84). Define and improve a release procedure file
  * Issue #72 #73 (PR #75). Implements __str__ and __hash__
* Tue Nov 14 2017 arun@gmx.de
- update to version 2.7.9:
  * Issue #65 (PR #66). Add finalize_version function
* Fri Aug 25 2017 sebix+novell.com@sebix.at
- update to 2.7.8
  * PR #62. Support custom default names for pre and build
* Fri Jun  2 2017 sebix+novell.com@sebix.at
- initial package
